jQuery(document).ready(function () {
    jQuery('#manualProductPush').on('click', function (e) {
        e.preventDefault();
        var product_id = jQuery(this).data('product_id');
        var admin_ajax = jQuery(this).data('admin_ajax');
        jQuery.ajax({
            url: admin_ajax,
            dataType: 'json',
            data: {
                'action': 'push_product_manually',
                'product_id': product_id
            },
            beforeSend: function () {
                jQuery('#bowlG').show();
            },
            complete: function () {
                jQuery('#bowlG').hide();
            },
            success: function (data) {
                if (data.status == 1) {
                    alert(data.message);
                    location.reload();
                } else {
                    jQuery('.replace-content').html(data.message);
                }
            },
            error: function (errorThrown) {
                console.log(errorThrown);
            }
        });
    });

});